App\Entity\VehicleType:
    constraints:
        - Symfony\Bridge\Doctrine\Validator\Constraints\UniqueEntity:
            fields: ['country', 'isCountry']
            message: "Each country can have only one VehicleType marked as isCountry."

    properties:
        status:
            - NotNull:
                message: "Vehicle type status is required."

        country:
            - NotNull:
                message: "Country must be specified."

        isCountry:
            - NotNull:
                message: "The isCountry field is required."
            - Type: bool

        pricePerKm:
            - NotNull:
                message: "Price per km is required."
            - Positive:
                message: "Price per km must be a positive number."

        pricePerMin:
            - NotNull:
                message: "Price per minute is required."
            - Positive:
                message: "Price per minute must be a positive number."

        minFare:
            - NotNull:
                message: "Minimum fare is required."
            - Positive:
                message: "Minimum fare must be a positive number."

        baseFare:
            - NotNull:
                message: "Base fare is required."
            - Positive:
                message: "Base fare must be a positive number."